Update Vcd Configuration
Modify Vcd
Updates an existing VMware Cloud Director (VCD) configuration identified by UUID. Validates the new configuration before applying changes.
Request
URI
PUT
https://{server}:9443/api/admin/global/config/vcd/{uuid}
COPY
Path Parameters
string
uuid
Required
The UUID of the VCD configuration to update
uuid example
e5f6a7b8-c9d0-1234-ef12-345678901234
Request Body
VcdUuidPutRequestBody
of type(s)
application/json
Required
{
"data": {
"items": [
{
"config": {
"UUID": "e5f6a7b8-c9d0-1234-ef12-345678901234",
"url": "https://vcd.example.com",
"userName": "administrator",
"password": "VkNEUGFzc3dvcmQxMjMh",
"publicUrlBase": "https://vcd.example.com",
"uiEndPoint": "https://vcd.example.com/cloud",
"systemExchange": "systemExchange",
"systemPrefix": "vcd"
}
}
]
}
}
object
data
Optional
data
Authentication
This operation uses the following authentication methods.
Responses
200
VCD configuration updated successfully
Returns
VcdGetResponse200
of type(s)
application/json
{
"data": {
"items": [
{
"section": "vcd",
"config": {
"userName": "administrator",
"url": "https://vcd.example.com",
"publicUrlBase": "https://vcd.example.com",
"uiEndPoint": "https://vcd.example.com/cloud",
"systemExchange": "systemExchange",
"systemPrefix": "vcd",
"UUID": "e5f6a7b8-c9d0-1234-ef12-345678901234"
}
}
]
}
}
object
data
Required
data
400
Bad request - validation failed or SSL certificate error
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
404
Configuration not found
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Failed modify item: e5f6a7b8-c9d0-1234-ef12-345678901234, section: vcd. Config does not exists.",
"httpStatusCode": 404
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
500
Internal server error - update failed
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Unable to update VCD configuration",
"httpStatusCode": 500
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/vcd/{uuid}
On This Page
Vcd Configuration Operations
GET
Get Vcd Configuration
POST
Add Vcd Configuration
PUT
Update Vcd Configuration
GET
Get Rmq Configuration
POST
Add Rmq Configuration
PUT
Update Rmq Configuration